#version 120

uniform sampler2D texture;
uniform float y;
uniform float height;

void main()
{
	vec2 texcoord = gl_TexCoord[0].xy;
	vec4 pixel = texture2D(texture, texcoord);
	
	float minAlpha = 0.15f;
	float maxAlpha = 1.f;
	
	float minDegrade = 0.4f;
	float maxDegrade = 0.8f;

	if (pixel.a != 0)
	{
		float alphactor = (texcoord.y - y) / height;

		if (alphactor < minDegrade)
		{
			gl_FragColor = vec4(pixel.rgb, pixel.a * minAlpha);
		}
		else if (alphactor >= maxDegrade)
		{
			gl_FragColor = vec4(pixel.rgb, pixel.a * maxAlpha);
		}
		else
		{
			float ratio = (alphactor - minDegrade) / (maxDegrade - minDegrade) * (maxAlpha - minAlpha) + minAlpha;
			gl_FragColor = vec4(pixel.rgb, pixel.a * ratio);
		}
	}
	else
	{
		gl_FragColor = pixel;
	}
}

