#version 120

uniform sampler2D texture;
uniform vec4 color;
uniform float timer;

void main()
{
	vec2 texcoord = gl_TexCoord[0].xy;

	float dist = abs(0.5f - texcoord.x) + abs(0.5f - texcoord.y);
	
	if (dist < 0.4f)
	{
		float value = fract(dist - timer * 0.5f) * 0.7f + 0.3f;
		gl_FragColor = vec4(color.r * value, color.g * value, color.b * value, color.a);
	}
	else
	{
		gl_FragColor = vec4(0, 0, 0, 0);
	}
}