#version 120

#define PI 3.14159265359
#define E 2.71828182846
#define SAMPLES 20
// flou horizontale

uniform sampler2D texture;
void main()
{
	vec2 texcoord = gl_TexCoord[0].xy;
	vec4 pixel = vec4(0,0,0,0);
	float sum = 0;
	for(float index = 0; index < SAMPLES; index++)
	{
		float offset = (index/(SAMPLES-1) - 0.5) * 0.001;		
		vec2 uv = texcoord.xy + vec2(offset, 0);
		float stDevSquared = 0.02*0.02;
		float gauss = (1 / sqrt(2*PI*stDevSquared)) * pow(E, -((offset*offset)/(2*stDevSquared)));
		sum += gauss;
		pixel += texture2D(texture, uv) * gauss;
				
	}
	
	
	pixel = pixel / sum;
	gl_FragColor = pixel;
}

